<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.css">
    <style>
        #caja {
            margin: 40px auto;
            width: 800px;
            height: 70px;
            border: 2px rgb(65, 103, 172) solid;
            background-color: cornflowerblue;
        }
    </style>
</head>

<body>
    <div id="caja"></div>
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <script>
        let caja = $('#caja');
        caja.dblclick(function () {
            let tamaño = caja.css("width");
            if (tamaño == "800px") {
                caja.css({ "width": "250px" });
                caja.css({ "height": "250px" });
            } else {
                caja.css({ "width": "800px" });
                caja.css({ "height": "70px" });
            }
        })
    </script>
</body>

</html>